
Foreman - Bug #6865

Error notifications should not be popped up on top menus

07/31/2014 09:12 AM - Dominic Cleal

Status: Rejected   

Priority: Normal   

Assignee: Tomer Brisker   

Category: Web Interface   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1125156 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3313

  

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1125156

Description of problem:

I was trying some boundary value testing with defined param under setiings--> General.

So I changed the value of "entries_per_page" param to '0', and UI throws an error. And that error message actually hides top right

menus( Admin user and Administer). Please see screenshot.

Our automation actually failing because of this issue.

Reason: Once the test is executed with one data set, UI logged out but here since the notification hiding the top right menu, so logout

doesn't work as selenium is unable to select the logged user menu.

We have a workaround, when the error notification raised, we can close it before logout. But it would be great if we can fix it in

product as well. Thanks

Version-Release number of selected component (if applicable):

sat6 GA snap1

How reproducible:

always

Steps to Reproduce:

1.

2.

3.

Actual results:

Expected results:

Error notifications should not hide top menus

Additional info:

Related issues:

Related to Foreman - Refactor #14178: Replace jnotify with patternfly toast n... Closed 03/14/2016

History

#1 - 07/31/2014 09:12 AM - Dominic Cleal

- Category set to Web Interface

#2 - 03/14/2016 05:59 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Tomer Brisker

- Pull request https://github.com/theforeman/foreman/pull/3313 added
#3 - 04/21/2016 03:37 AM - Tomer Brisker

- Status changed from Ready For Testing to Rejected

After some debate, it has been agreed that moving the notification lower will lead to different issues.

The current notifications should be replaced by patternfly toast notifications anyways since jnotify is not actively maintained.

I have opened #14178 to handle that change. Closing this issue as rejected.

#4 - 04/21/2016 03:42 AM - Tomer Brisker

- Related to Refactor #14178: Replace jnotify with patternfly toast notifications added
